# Deprecated API

## Contents

- Interfaces
- Classes
- Enums
- Methods

Deprecated Interfaces
Interface
Description
com.google.cloud.spanner.jdbc.TransactionRetryListener

Deprecated Classes
Class
Description
com.google.cloud.spanner.jdbc.SpannerPool

Deprecated Enums
Enum
Description
com.google.cloud.spanner.jdbc.TransactionRetryListener.RetryResult

Deprecated Methods
Method
Description
com.google.cloud.spanner.jdbc.CloudSpannerJdbcConnection.addTransactionRetryListener(TransactionRetryListener)
com.google.cloud.spanner.jdbc.CloudSpannerJdbcConnection.getTransactionRetryListeners()
com.google.cloud.spanner.jdbc.CloudSpannerJdbcConnection.removeTransactionRetryListener(TransactionRetryListener)
com.google.cloud.spanner.jdbc.SpannerPool.closeSpannerPool()